IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/7
Addresses2^121
/64 networks2^57
- Network
3600::/7- First address
3600::- Last address
37ff:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 2,658,455,991,569,831,745,807,614,120,560,689,152 (2^121)
- /64 networks (LANs)
- 144,115,188,075,855,872 (2^57)
- Full form
3600:0000:0000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zones
6.3.ip6.arpa7.3.ip6.arpa
/7 is not on a 4-bit boundary, so it takes 2 /8 zones.
Split into smaller subnets
3600::/7 makes 8,192 subnets of /20; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3600::/20 | 3600:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | 3600:1000::/20 | 3600:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | 3600:2000::/20 | 3600:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | 3600:3000::/20 | 3600:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | 3600:4000::/20 | 3600:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | 3600:5000::/20 | 3600:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | 3600:6000::/20 | 3600:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | 3600:7000::/20 | 3600:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | 3600:8000::/20 | 3600:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | 3600:9000::/20 | 3600:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | 3600:a000::/20 | 3600:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | 3600:b000::/20 | 3600:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | 3600:c000::/20 | 3600:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | 3600:d000::/20 | 3600:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | 3600:e000::/20 | 3600:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | 3600:f000::/20 | 3600:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | 3601::/20 | 3601:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | 3601:1000::/20 | 3601:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | 3601:2000::/20 | 3601:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | 3601:3000::/20 | 3601:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | 3601:4000::/20 | 3601:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | 3601:5000::/20 | 3601:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | 3601:6000::/20 | 3601:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | 3601:7000::/20 | 3601:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | 3601:8000::/20 | 3601:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | 3601:9000::/20 | 3601:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | 3601:a000::/20 | 3601:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | 3601:b000::/20 | 3601:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | 3601:c000::/20 | 3601:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | 3601:d000::/20 | 3601:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | 3601:e000::/20 | 3601:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | 3601:f000::/20 | 3601:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | 3602::/20 | 3602:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | 3602:1000::/20 | 3602:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | 3602:2000::/20 | 3602:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | 3602:3000::/20 | 3602:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | 3602:4000::/20 | 3602:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | 3602:5000::/20 | 3602:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | 3602:6000::/20 | 3602:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | 3602:7000::/20 | 3602:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | 3602:8000::/20 | 3602:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | 3602:9000::/20 | 3602:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | 3602:a000::/20 | 3602:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | 3602:b000::/20 | 3602:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | 3602:c000::/20 | 3602:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | 3602:d000::/20 | 3602:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | 3602:e000::/20 | 3602:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | 3602:f000::/20 | 3602:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | 3603::/20 | 3603:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | 3603:1000::/20 | 3603:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | 3603:2000::/20 | 3603:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | 3603:3000::/20 | 3603:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | 3603:4000::/20 | 3603:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | 3603:5000::/20 | 3603:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | 3603:6000::/20 | 3603:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | 3603:7000::/20 | 3603:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | 3603:8000::/20 | 3603:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | 3603:9000::/20 | 3603:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | 3603:a000::/20 | 3603:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | 3603:b000::/20 | 3603:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | 3603:c000::/20 | 3603:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | 3603:d000::/20 | 3603:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | 3603:e000::/20 | 3603:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | 3603:f000::/20 | 3603:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | 3604::/20 | 3604:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | 3604:1000::/20 | 3604:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | 3604:2000::/20 | 3604:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | 3604:3000::/20 | 3604:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | 3604:4000::/20 | 3604:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | 3604:5000::/20 | 3604:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | 3604:6000::/20 | 3604:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | 3604:7000::/20 | 3604:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | 3604:8000::/20 | 3604:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | 3604:9000::/20 | 3604:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | 3604:a000::/20 | 3604:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | 3604:b000::/20 | 3604:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | 3604:c000::/20 | 3604:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | 3604:d000::/20 | 3604:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | 3604:e000::/20 | 3604:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | 3604:f000::/20 | 3604:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | 3605::/20 | 3605:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | 3605:1000::/20 | 3605:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | 3605:2000::/20 | 3605:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | 3605:3000::/20 | 3605:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | 3605:4000::/20 | 3605:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | 3605:5000::/20 | 3605:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | 3605:6000::/20 | 3605:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | 3605:7000::/20 | 3605:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | 3605:8000::/20 | 3605:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | 3605:9000::/20 | 3605:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | 3605:a000::/20 | 3605:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | 3605:b000::/20 | 3605:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | 3605:c000::/20 | 3605:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | 3605:d000::/20 | 3605:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | 3605:e000::/20 | 3605:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | 3605:f000::/20 | 3605:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | 3606::/20 | 3606:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | 3606:1000::/20 | 3606:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | 3606:2000::/20 | 3606:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | 3606:3000::/20 | 3606:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | 3606:4000::/20 | 3606:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | 3606:5000::/20 | 3606:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | 3606:6000::/20 | 3606:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | 3606:7000::/20 | 3606:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | 3606:8000::/20 | 3606:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | 3606:9000::/20 | 3606:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | 3606:a000::/20 | 3606:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | 3606:b000::/20 | 3606:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | 3606:c000::/20 | 3606:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | 3606:d000::/20 | 3606:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | 3606:e000::/20 | 3606:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | 3606:f000::/20 | 3606:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | 3607::/20 | 3607:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | 3607:1000::/20 | 3607:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | 3607:2000::/20 | 3607:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | 3607:3000::/20 | 3607:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | 3607:4000::/20 | 3607:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | 3607:5000::/20 | 3607:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | 3607:6000::/20 | 3607:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | 3607:7000::/20 | 3607:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | 3607:8000::/20 | 3607:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | 3607:9000::/20 | 3607:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | 3607:a000::/20 | 3607:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | 3607:b000::/20 | 3607:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | 3607:c000::/20 | 3607:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | 3607:d000::/20 | 3607:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | 3607:e000::/20 | 3607:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | 3607:f000::/20 | 3607:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | 3608::/20 | 3608:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | 3608:1000::/20 | 3608:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | 3608:2000::/20 | 3608:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | 3608:3000::/20 | 3608:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | 3608:4000::/20 | 3608:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | 3608:5000::/20 | 3608:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | 3608:6000::/20 | 3608:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | 3608:7000::/20 | 3608:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | 3608:8000::/20 | 3608:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | 3608:9000::/20 | 3608:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | 3608:a000::/20 | 3608:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | 3608:b000::/20 | 3608:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | 3608:c000::/20 | 3608:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | 3608:d000::/20 | 3608:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | 3608:e000::/20 | 3608:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | 3608:f000::/20 | 3608:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | 3609::/20 | 3609:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | 3609:1000::/20 | 3609:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | 3609:2000::/20 | 3609:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | 3609:3000::/20 | 3609:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | 3609:4000::/20 | 3609:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | 3609:5000::/20 | 3609:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | 3609:6000::/20 | 3609:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | 3609:7000::/20 | 3609:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | 3609:8000::/20 | 3609:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | 3609:9000::/20 | 3609:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | 3609:a000::/20 | 3609:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | 3609:b000::/20 | 3609:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | 3609:c000::/20 | 3609:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | 3609:d000::/20 | 3609:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | 3609:e000::/20 | 3609:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | 3609:f000::/20 | 3609:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | 360a::/20 | 360a:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | 360a:1000::/20 | 360a:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | 360a:2000::/20 | 360a:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | 360a:3000::/20 | 360a:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | 360a:4000::/20 | 360a:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | 360a:5000::/20 | 360a:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | 360a:6000::/20 | 360a:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | 360a:7000::/20 | 360a:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | 360a:8000::/20 | 360a:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | 360a:9000::/20 | 360a:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | 360a:a000::/20 | 360a:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | 360a:b000::/20 | 360a:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | 360a:c000::/20 | 360a:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | 360a:d000::/20 | 360a:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | 360a:e000::/20 | 360a:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | 360a:f000::/20 | 360a:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | 360b::/20 | 360b:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | 360b:1000::/20 | 360b:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | 360b:2000::/20 | 360b:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | 360b:3000::/20 | 360b:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | 360b:4000::/20 | 360b:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | 360b:5000::/20 | 360b:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | 360b:6000::/20 | 360b:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | 360b:7000::/20 | 360b:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | 360b:8000::/20 | 360b:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | 360b:9000::/20 | 360b:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | 360b:a000::/20 | 360b:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | 360b:b000::/20 | 360b:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | 360b:c000::/20 | 360b:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | 360b:d000::/20 | 360b:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | 360b:e000::/20 | 360b:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | 360b:f000::/20 | 360b:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | 360c::/20 | 360c:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | 360c:1000::/20 | 360c:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | 360c:2000::/20 | 360c:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | 360c:3000::/20 | 360c:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | 360c:4000::/20 | 360c:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | 360c:5000::/20 | 360c:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | 360c:6000::/20 | 360c:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | 360c:7000::/20 | 360c:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | 360c:8000::/20 | 360c:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | 360c:9000::/20 | 360c:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | 360c:a000::/20 | 360c:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | 360c:b000::/20 | 360c:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | 360c:c000::/20 | 360c:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | 360c:d000::/20 | 360c:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | 360c:e000::/20 | 360c:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | 360c:f000::/20 | 360c:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | 360d::/20 | 360d:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | 360d:1000::/20 | 360d:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | 360d:2000::/20 | 360d:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | 360d:3000::/20 | 360d:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | 360d:4000::/20 | 360d:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | 360d:5000::/20 | 360d:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | 360d:6000::/20 | 360d:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | 360d:7000::/20 | 360d:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | 360d:8000::/20 | 360d:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | 360d:9000::/20 | 360d:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | 360d:a000::/20 | 360d:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | 360d:b000::/20 | 360d:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | 360d:c000::/20 | 360d:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | 360d:d000::/20 | 360d:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | 360d:e000::/20 | 360d:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | 360d:f000::/20 | 360d:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | 360e::/20 | 360e:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | 360e:1000::/20 | 360e:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | 360e:2000::/20 | 360e:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | 360e:3000::/20 | 360e:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | 360e:4000::/20 | 360e:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | 360e:5000::/20 | 360e:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | 360e:6000::/20 | 360e:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | 360e:7000::/20 | 360e:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | 360e:8000::/20 | 360e:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | 360e:9000::/20 | 360e:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | 360e:a000::/20 | 360e:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | 360e:b000::/20 | 360e:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | 360e:c000::/20 | 360e:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | 360e:d000::/20 | 360e:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | 360e:e000::/20 | 360e:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | 360e:f000::/20 | 360e:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | 360f::/20 | 360f:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | 360f:1000::/20 | 360f:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | 360f:2000::/20 | 360f:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | 360f:3000::/20 | 360f:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | 360f:4000::/20 | 360f:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | 360f:5000::/20 | 360f:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | 360f:6000::/20 | 360f:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | 360f:7000::/20 | 360f:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | 360f:8000::/20 | 360f:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | 360f:9000::/20 | 360f:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | 360f:a000::/20 | 360f:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | 360f:b000::/20 | 360f:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | 360f:c000::/20 | 360f:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | 360f:d000::/20 | 360f:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | 360f:e000::/20 | 360f:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | 360f:f000::/20 | 360f:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |